<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Domain\Blog\Adapter;

use Sylius\Component\Core\Model\ChannelInterface;

interface ArticleRepositoryInterface
{
    public function findOneByChannelAndSlug(ChannelInterface $channel, string $slug, ?string $locale = null);

    public function findByChannel(ChannelInterface $channel, ?string $locale = null);
}
