<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Entity;

use Sylius\Component\Resource\Model\ResourceInterface;

interface CategoryTranslationInterface extends ResourceInterface
{
    public function getSlug(): ?string;

    public function setSlug(?string $slug): self;

    public function getName(): ?string;

    public function setName(?string $name): self;

    public function getDescription(): ?string;

    public function setDescription(?string $description): self;
}
