<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Form;

use Dedi\SyliusBlogPlugin\Entity\ArticleBanner;
use Sylius\Component\Core\Uploader\ImageUploaderInterface;

class ArticleBannerType extends AbstractImageType
{
    public function __construct(ImageUploaderInterface $uploader)
    {
        parent::__construct(ArticleBanner::class, $uploader);
    }

    public function getBlockPrefix(): string
    {
        return 'dedi_blog_article_banner';
    }
}
